package com.yingxin.prms.domain;

import org.springframework.data.cassandra.core.cql.PrimaryKeyType;
import org.springframework.data.cassandra.core.mapping.Column;
import org.springframework.data.cassandra.core.mapping.PrimaryKey;
import org.springframework.data.cassandra.core.mapping.PrimaryKeyColumn;
import org.springframework.data.cassandra.core.mapping.Table;

/**
 * Description:
 * Datetime:    2021/1/12   9:40
 * Author:   gaozhentao
 */
@Table(value = "flowNode")
public class FlowNode {

    @PrimaryKey
//    @Column("cluster_name")
    String cluster_name;  //集群名称
    String coordinate;   //坐标
    String mark;         //标识
    @Column("server_path")
    String serverPath;   //服务路径
    String faultCount;   //错误数

    public String getCluster_name() {
        return cluster_name;
    }

    public void setCluster_name(String cluster_name) {
        this.cluster_name = cluster_name;
    }

    public String getCoordinate() {
        return coordinate;
    }

    public void setCoordinate(String coordinate) {
        this.coordinate = coordinate;
    }

    public String getMark() {
        return mark;
    }

    public void setMark(String mark) {
        this.mark = mark;
    }

    public String getServerPath() {
        return serverPath;
    }

    public void setServerPath(String serverPath) {
        this.serverPath = serverPath;
    }

    public String getFaultCount() {
        return faultCount;
    }

    public void setFaultCount(String faultCount) {
        this.faultCount = faultCount;
    }

    public FlowNode(){}

    public FlowNode(String cluster_name, String coordinate, String mark, String serverPath, String faultCount) {
        this.cluster_name = cluster_name;
        this.coordinate = coordinate;
        this.mark = mark;
        this.serverPath = serverPath;
        this.faultCount = faultCount;
    }
}
